## EmpathyAccountSettings

EmpathyAccountSettings

## Synopsis

                        EmpathyAccountSettings;
    EmpathyAccountSettings * empathy_account_settings_new   (const gchar *connection_manager,
                                                             const gchar *protocol,
                                                             const char *display_name);
    EmpathyAccountSettings * empathy_account_settings_new_for_account
                                                            (EmpathyAccount *account);
    gboolean            empathy_account_settings_is_ready   (EmpathyAccountSettings *settings);
    const gchar *       empathy_account_settings_get_cm     (EmpathyAccountSettings *settings);
    const gchar *       empathy_account_settings_get_protocol
                                                            (EmpathyAccountSettings *settings);
    EmpathyAccount *    empathy_account_settings_get_account
                                                            (EmpathyAccountSettings *settings);
    gboolean            empathy_account_settings_has_account
                                                            (EmpathyAccountSettings *settings,
                                                             EmpathyAccount *account);
    TpConnectionManagerParam * empathy_account_settings_get_tp_params
                                                            (EmpathyAccountSettings *settings);
    void                empathy_account_settings_unset      (EmpathyAccountSettings *settings,
                                                             const gchar *param);
    void                empathy_account_settings_discard_changes
                                                            (EmpathyAccountSettings *settings);
    const GValue *      empathy_account_settings_get        (EmpathyAccountSettings *settings,
                                                             const gchar *param);
    const gchar *       empathy_account_settings_get_dbus_signature
                                                            (EmpathyAccountSettings *setting,
                                                             const gchar *param);
    const GValue *      empathy_account_settings_get_default
                                                            (EmpathyAccountSettings *settings,
                                                             const gchar *param);
    const gchar *       empathy_account_settings_get_string (EmpathyAccountSettings *settings,
                                                             const gchar *param);
    gint32              empathy_account_settings_get_int32  (EmpathyAccountSettings *settings,
                                                             const gchar *param);
    gint64              empathy_account_settings_get_int64  (EmpathyAccountSettings *settings,
                                                             const gchar *param);
    guint32             empathy_account_settings_get_uint32 (EmpathyAccountSettings *settings,
                                                             const gchar *param);
    guint64             empathy_account_settings_get_uint64 (EmpathyAccountSettings *settings,
                                                             const gchar *param);
    gboolean            empathy_account_settings_get_boolean
                                                            (EmpathyAccountSettings *settings,
                                                             const gchar *param);
    void                empathy_account_settings_set_string (EmpathyAccountSettings *settings,
                                                             const gchar *param,
                                                             const gchar *value);
    void                empathy_account_settings_set_int32  (EmpathyAccountSettings *settings,
                                                             const gchar *param,
                                                             gint32 value);
    void                empathy_account_settings_set_int64  (EmpathyAccountSettings *settings,
                                                             const gchar *param,
                                                             gint64 value);
    void                empathy_account_settings_set_uint32 (EmpathyAccountSettings *settings,
                                                             const gchar *param,
                                                             guint32 value);
    void                empathy_account_settings_set_uint64 (EmpathyAccountSettings *settings,
                                                             const gchar *param,
                                                             guint64 value);
    void                empathy_account_settings_set_boolean
                                                            (EmpathyAccountSettings *settings,
                                                             const gchar *param,
                                                             gboolean value);
    gchar *             empathy_account_settings_get_icon_name
                                                            (EmpathyAccountSettings *settings);
    void                empathy_account_settings_set_icon_name_async
                                                            (EmpathyAccountSettings *settings,
                                                             const gchar *name,
                                                             GAsyncReadyCallback callback,
                                                             gpointer user_data);
    gboolean            empathy_account_settings_set_icon_name_finish
                                                            (EmpathyAccountSettings *settings,
                                                             GAsyncResult *result,
                                                             GError **error);
    const gchar *       empathy_account_settings_get_display_name
                                                            (EmpathyAccountSettings *settings);
    void                empathy_account_settings_set_display_name_async
                                                            (EmpathyAccountSettings *settings,
                                                             const gchar *name,
                                                             GAsyncReadyCallback callback,
                                                             gpointer user_data);
    gboolean            empathy_account_settings_set_display_name_finish
                                                            (EmpathyAccountSettings *settings,
                                                             GAsyncResult *result,
                                                             GError **error);
    void                empathy_account_settings_apply_async
                                                            (EmpathyAccountSettings *settings,
                                                             GAsyncReadyCallback callback,
                                                             gpointer user_data);
    gboolean            empathy_account_settings_apply_finish
                                                            (EmpathyAccountSettings *settings,
                                                             GAsyncResult *result,
                                                             GError **error);
    gboolean            empathy_account_settings_is_valid   (EmpathyAccountSettings *settings);

## Object Hierarchy

      GObject
       +----EmpathyAccountSettings

## Properties

      "account"                  EmpathyAccount*       : Read / Write / Construct Only
      "connection-manager"       gchar*                : Read / Write / Construct Only
      "display-name"             gchar*                : Read / Write / Construct Only
      "display-name-overridden"  gboolean              : Read / Write
      "protocol"                 gchar*                : Read / Write / Construct Only
      "ready"                    gboolean              : Read

## Description

## Details

### EmpathyAccountSettings

    typedef struct _EmpathyAccountSettings EmpathyAccountSettings;

### empathy_account_settings_new ()

    EmpathyAccountSettings * empathy_account_settings_new   (const gchar *connection_manager,
                                                             const gchar *protocol,
                                                             const char *display_name);

`connection_manager` : |
`protocol` : |
`display_name` : |
Returns : |

### empathy_account_settings_new_for_account ()

    EmpathyAccountSettings * empathy_account_settings_new_for_account
                                                            (EmpathyAccount *account);

`account` : |
Returns : |

### empathy_account_settings_is_ready ()

    gboolean            empathy_account_settings_is_ready   (EmpathyAccountSettings *settings);

`settings` : |
Returns : |

### empathy_account_settings_get_cm ()

    const gchar *       empathy_account_settings_get_cm     (EmpathyAccountSettings *settings);

`settings` : |
Returns : |

### empathy_account_settings_get_protocol ()

    const gchar *       empathy_account_settings_get_protocol
                                                            (EmpathyAccountSettings *settings);

`settings` : |
Returns : |

### empathy_account_settings_get_account ()

    EmpathyAccount *    empathy_account_settings_get_account
                                                            (EmpathyAccountSettings *settings);

`settings` : |
Returns : |

### empathy_account_settings_has_account ()

    gboolean            empathy_account_settings_has_account
                                                            (EmpathyAccountSettings *settings,
                                                             EmpathyAccount *account);

`settings` : |
`account` : |
Returns : |

### empathy_account_settings_get_tp_params ()

    TpConnectionManagerParam * empathy_account_settings_get_tp_params
                                                            (EmpathyAccountSettings *settings);

`settings` : |
Returns : |

### empathy_account_settings_unset ()

    void                empathy_account_settings_unset      (EmpathyAccountSettings *settings,
                                                             const gchar *param);

`settings` : |
`param` : |

### empathy_account_settings_discard_changes ()

    void                empathy_account_settings_discard_changes
                                                            (EmpathyAccountSettings *settings);

`settings` : |

### empathy_account_settings_get ()

    const GValue *      empathy_account_settings_get        (EmpathyAccountSettings *settings,
                                                             const gchar *param);

`settings` : |
`param` : |
Returns : |

### empathy_account_settings_get_dbus_signature ()

    const gchar *       empathy_account_settings_get_dbus_signature
                                                            (EmpathyAccountSettings *setting,
                                                             const gchar *param);

`setting` : |
`param` : |
Returns : |

### empathy_account_settings_get_default ()

    const GValue *      empathy_account_settings_get_default
                                                            (EmpathyAccountSettings *settings,
                                                             const gchar *param);

`settings` : |
`param` : |
Returns : |

### empathy_account_settings_get_string ()

    const gchar *       empathy_account_settings_get_string (EmpathyAccountSettings *settings,
                                                             const gchar *param);

`settings` : |
`param` : |
Returns : |

### empathy_account_settings_get_int32 ()

    gint32              empathy_account_settings_get_int32  (EmpathyAccountSettings *settings,
                                                             const gchar *param);

`settings` : |
`param` : |
Returns : |

### empathy_account_settings_get_int64 ()

    gint64              empathy_account_settings_get_int64  (EmpathyAccountSettings *settings,
                                                             const gchar *param);

`settings` : |
`param` : |
Returns : |

### empathy_account_settings_get_uint32 ()

    guint32             empathy_account_settings_get_uint32 (EmpathyAccountSettings *settings,
                                                             const gchar *param);

`settings` : |
`param` : |
Returns : |

### empathy_account_settings_get_uint64 ()

    guint64             empathy_account_settings_get_uint64 (EmpathyAccountSettings *settings,
                                                             const gchar *param);

`settings` : |
`param` : |
Returns : |

### empathy_account_settings_get_boolean ()

    gboolean            empathy_account_settings_get_boolean
                                                            (EmpathyAccountSettings *settings,
                                                             const gchar *param);

`settings` : |
`param` : |
Returns : |

### empathy_account_settings_set_string ()

    void                empathy_account_settings_set_string (EmpathyAccountSettings *settings,
                                                             const gchar *param,
                                                             const gchar *value);

`settings` : |
`param` : |
`value` : |

### empathy_account_settings_set_int32 ()

    void                empathy_account_settings_set_int32  (EmpathyAccountSettings *settings,
                                                             const gchar *param,
                                                             gint32 value);

`settings` : |
`param` : |
`value` : |

### empathy_account_settings_set_int64 ()

    void                empathy_account_settings_set_int64  (EmpathyAccountSettings *settings,
                                                             const gchar *param,
                                                             gint64 value);

`settings` : |
`param` : |
`value` : |

### empathy_account_settings_set_uint32 ()

    void                empathy_account_settings_set_uint32 (EmpathyAccountSettings *settings,
                                                             const gchar *param,
                                                             guint32 value);

`settings` : |
`param` : |
`value` : |

### empathy_account_settings_set_uint64 ()

    void                empathy_account_settings_set_uint64 (EmpathyAccountSettings *settings,
                                                             const gchar *param,
                                                             guint64 value);

`settings` : |
`param` : |
`value` : |

### empathy_account_settings_set_boolean ()

    void                empathy_account_settings_set_boolean
                                                            (EmpathyAccountSettings *settings,
                                                             const gchar *param,
                                                             gboolean value);

`settings` : |
`param` : |
`value` : |

### empathy_account_settings_get_icon_name ()

    gchar *             empathy_account_settings_get_icon_name
                                                            (EmpathyAccountSettings *settings);

`settings` : |
Returns : |

### empathy_account_settings_set_icon_name_async ()

    void                empathy_account_settings_set_icon_name_async
                                                            (EmpathyAccountSettings *settings,
                                                             const gchar *name,
                                                             GAsyncReadyCallback callback,
                                                             gpointer user_data);

`settings` : |
`name` : |
`callback` : |
`user_data` : |

### empathy_account_settings_set_icon_name_finish ()

    gboolean            empathy_account_settings_set_icon_name_finish
                                                            (EmpathyAccountSettings *settings,
                                                             GAsyncResult *result,
                                                             GError **error);

`settings` : |
`result` : |
`error` : |
Returns : |

### empathy_account_settings_get_display_name ()

    const gchar *       empathy_account_settings_get_display_name
                                                            (EmpathyAccountSettings *settings);

`settings` : |
Returns : |

### empathy_account_settings_set_display_name_async ()

    void                empathy_account_settings_set_display_name_async
                                                            (EmpathyAccountSettings *settings,
                                                             const gchar *name,
                                                             GAsyncReadyCallback callback,
                                                             gpointer user_data);

`settings` : |
`name` : |
`callback` : |
`user_data` : |

### empathy_account_settings_set_display_name_finish ()

    gboolean            empathy_account_settings_set_display_name_finish
                                                            (EmpathyAccountSettings *settings,
                                                             GAsyncResult *result,
                                                             GError **error);

`settings` : |
`result` : |
`error` : |
Returns : |

### empathy_account_settings_apply_async ()

    void                empathy_account_settings_apply_async
                                                            (EmpathyAccountSettings *settings,
                                                             GAsyncReadyCallback callback,
                                                             gpointer user_data);

`settings` : |
`callback` : |
`user_data` : |

### empathy_account_settings_apply_finish ()

    gboolean            empathy_account_settings_apply_finish
                                                            (EmpathyAccountSettings *settings,
                                                             GAsyncResult *result,
                                                             GError **error);

`settings` : |
`result` : |
`error` : |
Returns : |

### empathy_account_settings_is_valid ()

    gboolean            empathy_account_settings_is_valid   (EmpathyAccountSettings *settings);

`settings` : |
Returns : |

## Property Details

### The `"account"` property

      "account"                  EmpathyAccount*       : Read / Write / Construct Only

The EmpathyAccount backing these settings.

### The `"connection-manager"` property

      "connection-manager"       gchar*                : Read / Write / Construct Only

The name of the connection manager this account uses.

Default value: NULL

### The `"display-name"` property

      "display-name"             gchar*                : Read / Write / Construct Only

The display name account these settings belong to.

Default value: NULL

### The `"display-name-overridden"` property

      "display-name-overridden"  gboolean              : Read / Write

Whether the display name for this account has been manually overridden.

Default value: FALSE

### The `"protocol"` property

      "protocol"                 gchar*                : Read / Write / Construct Only

The name of the protocol this account uses.

Default value: NULL

### The `"ready"` property

      "ready"                    gboolean              : Read

Whether this account is ready to be used.

Default value: FALSE